Bug 125479 - Not change physical resolution
Not change physical resolution
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-07 17:31 EDT by Robert F. Snider
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 16:47:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert F. Snider 2004-06-07 17:31:07 EDT
Description of problem:
Installation detects Viewsonic E790-3 monitor and radeon 7000 board
 but even during installation, the physical resolution is 640x480 (by
Viewmeter on monitor) while the virtual (picture size) appears to be
1024x768.  Cnrt-Alt-Num+ does not change the physical resolution.
I have modified the XF86Config file in a number of different ways - no
effect - and just reinstalled on the hope that would work - no go!

Version-Release number of selected component (if applicable):
Xree86 4.3.0-55

How reproducible: always!  Initially I installed (2 months ago) using
a generic 800x600 monitor and all woked well (physical and virtual
displays agreeing) but at no time with the Viewsonic (unless I set the
resolution as 640x480 in the config file).

Steps to Reproduce:
1. run startx in runlevel 3 or always in runlevel 5
Actual results: have to use the mouse to push the virtual screen
around the physical screen in order to access all of the screen.
In runlevel 5, sometimes the image appears to split and appear in pieces.

Expected results: an agreement of physical and virtual screens (hope I
have the terminology approximately correct)

Additional info:  Could send config file and log file (did to xfree86
mail discussion group) but since this occurred even on the re-install
I didn't think it was relevant.
Comment 1 Mike A. Harris 2004-09-15 02:44:04 EDT
Please upgrade to Fedora Core 2, and if the problem persists, please
try xorg-x11-6.8.0 and hwdata from Fedora development.  Once you've
tested the latest stuff, if the problem still persists, please
file a bug report at http://bugs.freedesktop.org in the "xorg"
component and X.Org developers can then investigate the issue.
Once you've filed your bug report to X.Org, if you paste the URL
here, we will also track the issue in X.Org bugzilla and consider
any fixes for future updates.

Setting status to "MODIFIED" pending testing as per above.

Thanks in advance.
Comment 2 Robert F. Snider 2005-12-02 13:56:33 EST
Dec. 2, 2005:  Thanks for the fix - have upgraded to fc4
               works nicely, R.F. Snider

Note You need to log in before you can comment on or make changes to this bug.